> For the complete documentation index, see [llms.txt](https://docs.mapsindoors.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapsindoors.com/sdks-and-frameworks/android/displaying-objects/enabling-and-disabling-features-on-the-map.md).

# Enabling and Disabling features on the map

#### Toggling MapsIndoors features

You can toggle the rendered features on the map through MapControl, by using `hiddenFeatures`

This code example removes all 3D features on the map.

```kotlin
mapControl.hiddenFeatures = listOf(MPFeatureType.EXTRUDED_BUILDINGS,
                                             MPFeatureType.EXTRUSION_3D,
                                             MPFeatureType.WALLS_3D,
                                             MPFeatureType.MODEL_3D)
```

All features that can be enabled or disabled can be found on [`MPFeatureType`](https://app.mapsindoors.com/mapsindoors/reference/android/4.8.8/MapsIndoorsSDK/com.mapsindoors.core/-m-p-feature-type/index.html)

Clearing the hiddenFeatures can be done by setting it to null.

```kotlin
mapControl.hiddenFeatures = null
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapsindoors.com/sdks-and-frameworks/android/displaying-objects/enabling-and-disabling-features-on-the-map.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
